import { Constructor } from 'type-fest';
import { PartDigitCellGetter, PartDigitCellValueOrGetter, PartDigitGetter, PartDigitValueOrGetter, PartGetter, PartValueOrGetter } from '../types/group.js';
import { CounterPartsMixin } from './counter-parts.js';
import { AvailableNumberAdapterValueType } from '../number-adapter/index.js';
export declare class CounterStylesMixinInterface {
    cellStyles: PartDigitCellValueOrGetter<Partial<CSSStyleDeclaration>>;
    cellStylesDynamic?: PartDigitCellGetter<Partial<CSSStyleDeclaration>>;
    extractCellStyles(): Partial<CSSStyleDeclaration>[][][];
    digitStyles: PartDigitValueOrGetter<Partial<CSSStyleDeclaration>>;
    digitStylesDynamic?: PartDigitGetter<Partial<CSSStyleDeclaration>>;
    extractDigitStyles(): Partial<CSSStyleDeclaration>[][];
    partStyles: PartValueOrGetter<Partial<CSSStyleDeclaration>>;
    partStylesDynamic?: PartGetter<Partial<CSSStyleDeclaration>>;
    extractPartStyles(): Partial<CSSStyleDeclaration>[];
    color: string;
}
export declare const CounterStylesMixin: <V extends AvailableNumberAdapterValueType, T extends ReturnType<typeof CounterPartsMixin<V>> = Constructor<import("./counter-parts.js").CounterPartsMixinInterface<V>> & Constructor<import("./counter-base.js").CounterBaseMixinInterface<V>> & Constructor<import("lit").LitElement>>(superClass: T) => Constructor<CounterStylesMixinInterface> & T;
