import { PropertyValues } from 'lit';
import { TimeredCounter } from './timered-counter.js';
import { AvailableNumberAdapterValueType } from './number-adapter/index.js';
import { PartsOptions } from './mixins/counter-parts.js';
export declare class TimeredCounterDatetimeDuration extends TimeredCounter {
    static styles: import("lit").CSSResult[];
    private __precision;
    /**
     * 计数器显示的精度.
     * 1. 当为单个值时, 仅显示该精度的时间部分.
     * 2. 当为数组时, 第一个值表示最小精度, 第二个值表示最大精度.
     *
     * @default [DurationPartType.Second, DurationPartType.Day]
     *
     * @example DurationPartType.Second 显示从年份到秒数的所有精度.
     * @example [DurationPartType.Second, DurationPartType.Day] 显示从天数到秒数的所有精度.
     * @example [DurationPartType.Millisecond, DurationPartType.Year] 显示从年份到毫秒的所有精度.
     */
    get precision(): any;
    set precision(value: any);
    get value(): any;
    /**
     * 通过 property 设置 value 时, 支持 Date 类型.
     */
    set value(value: any);
    private __initialValuePlain;
    get initialValue(): any;
    /**
     * 同 value
     */
    set initialValue(value: any);
    private __partsOptions;
    get partsOptions(): Partial<PartsOptions>;
    set partsOptions(value: Partial<PartsOptions>);
    private __from;
    private __to;
    private __minPrecision;
    private __maxPrecision;
    private __availableDurationParts;
    private __dateTimeFieldLabels;
    sampleSplit(samples: AvailableNumberAdapterValueType[]): AvailableNumberAdapterValueType[][];
    generateAriaLabel(): string;
    connectedCallback(): void;
    shouldRebuildParts(changedProperties: PropertyValues<this>): boolean;
    willUpdate(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
}
