import { PropertyValues } from 'lit';
import { TimeredCounter } from './timered-counter.js';
import { AvailableNumberAdapterValueType } from './number-adapter/index.js';
export declare class TimeredCounterNumber extends TimeredCounter {
    static styles: import("lit").CSSResult[];
    /**
     * 本地化数字格式化配置. 传入 `true` 时使用浏览器的默认配置.
     *
     * 详细配置参数请参考 [Intl.NumberFormat](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/NumberFormat/NumberFormat)
     *
     * @default false
     */
    localeNumber: Intl.NumberFormatOptions | boolean;
    localeNumberInstance: Intl.NumberFormat;
    /**
     * 本地化数字格式化配置中的小数点分隔符. 根据不同的地区可能是 `.` 或 `,`.
     * @see https://en.wikipedia.org/wiki/Decimal_separator
     */
    localDecimalSeparator: string;
    /**
     * 本地化数字格式化配置中的分组分隔符.
     * @see https://en.wikipedia.org/wiki/Decimal_separator#Digit_grouping
     */
    localeGroupingSeparator: string;
    sampleToString(value: AvailableNumberAdapterValueType): string;
    render(): import("lit-html").TemplateResult<1>;
    willUpdate(_changedProperties: PropertyValues<this>): void;
}
