import { LitElement, PropertyValues } from 'lit';
import { PartPreprocessedData } from '../../utils/preprocess-part-data.js';
import { PartDataDigit } from '../../types/group.js';
export declare class TimeredCounterRollerDigit extends LitElement {
    static styles: import("lit").CSSResult[];
    digit: PartDataDigit;
    preprocessData: PartPreprocessedData;
    direction: 'up' | 'down';
    textStyle: Partial<CSSStyleDeclaration>;
    cellStyle: Partial<CSSStyleDeclaration>[];
    animationOptions: KeyframeAnimationOptions;
    keyframes: PropertyIndexedKeyframes;
    clonedRollDigitList: HTMLElement | undefined;
    rollList: HTMLElement | undefined;
    digitWidth: number;
    resizeObserver: ResizeObserver;
    animation: Animation | undefined;
    constructor();
    protected firstUpdated(_changedProperties: PropertyValues<this>): void;
    disconnectedCallback(): void;
    protected updated(_changedProperties: PropertyValues): void;
    render(): import("lit-html").TemplateResult<1>;
    shouldAnimate(): boolean;
    startAnimation(): Promise<void>;
    clearAnimation(): void;
    private __emitAnimationStart;
    private __emitAnimationEnd;
}
