import { DurationPartType } from '../types/duration.js';
/**
 * 计算两个日期之间的时间间隔. 返回一个数组, 包含 {@link parts} 每个部分的值.
 *
 * @example duration(new Date("2022-01-01"), new Date("2022-01-02"), [DurationPartType.Day, DurationPartType.Hour, DurationPartType.Minute, DurationPartType.Second]) // [1, 0, 0, 0]
 * @example duration(new Date("2022-01-01 12:00:00"), new Date("2022-01-02 12:30:00"), [DurationPartType.Day, DurationPartType.Hour, DurationPartType.Minute, DurationPartType.Second]) // [1, 0, 30, 0]
 *
 * @param start
 * @param end
 * @param parts
 */
export declare function durationObject(start: Date, end: Date, parts: DurationPartType[]): {
    [key in DurationPartType]?: number;
};
export declare function duration(start: Date, end: Date, parts: DurationPartType[]): number[];
