import { equal, sleep } from '../utils/index.js';
export async function edgeCase(context, { counter, list, setBy, }) {
    const { step, args } = context;
    for await (const [label, value, expectedValue] of list) {
        await step(label, async () => {
            setBy(counter, 'value', value);
            await sleep((args.animationOptions.duration ?? 100) + 10);
            await equal(counter, counter.value, expectedValue);
        });
    }
}
//# sourceMappingURL=edge-case.js.map